<h3>This is my login component! 😁</h3>
<p>{{message}}</p>

<img [src]="bananaUrl" alt="bananas" style="max-width: 250px;">
<img src="{{bananaUrl}}" alt="bananas" style="max-width: 250px;">

<h3>{{ message }}</h3>

<!-- structural directives -->
<!-- if -->

<p *ngIf="isLoggedIn">This is rendered conditionally with a structural directive</p>
<p *ngIf="!isLoggedIn">You aren't logged in, sorry :(</p>

<ng-container *ngIf="isLoggedIn then loggedIn else notLoggedIn"></ng-container>

<ng-template #loggedIn>
  <h4>Welcome to the dark side!</h4>
</ng-template>

<ng-template #notLoggedIn>
  <h4>Please come to the dark side!</h4>
</ng-template>

<!-- for loops -->
<ul>
  <li *ngFor="let currentTodo of dailyTodos">{{ currentTodo }}</li>
</ul>